Bug 858238 - (CVE-2012-4424) CVE-2012-4424 glibc: alloca() stack overflow in the strcoll() interface
CVE-2012-4424 glibc: alloca() stack overflow in the strcoll() interface
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120906,repor...
: Security
Depends On: 855399 989862
Blocks: 855429
  Show dependency treegraph
 
Reported: 2012-09-18 08:12 EDT by Jan Lieskovsky
Modified: 2016-02-04 01:47 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-09-18 08:12:14 EDT
A security flaw was found in the way strcoll() interface of glibc, the GNU libc libraries, performed failsafe back to alloca() routine when malloc() function call failed previously (due to out of memory [OOM] condition for example). If an application linked against glibc was missing an application-level sanity checks for validity of strcoll() arguments and accepted untrusted input, an attacker could use this flaw to cause the particular application to crash or, potentially, execute arbitrary code with the privileges of the user running the application.

Upstream bug report (including the reproducer):
[1] http://sourceware.org/bugzilla/show_bug.cgi?id=14552#c0

Issue / part: 1) alloca() stack overflow from [1].

References:
[2] http://www.openwall.com/lists/oss-security/2012/09/07/9
[3] http://www.openwall.com/lists/oss-security/2012/09/07/15
[4] http://www.openwall.com/lists/oss-security/2012/09/10/1
[5] http://www.openwall.com/lists/oss-security/2012/09/10/3
[6] http://www.openwall.com/lists/oss-security/2012/09/13/16
Comment 4 Jan Lieskovsky 2012-09-18 08:59:37 EDT
This issue affects the versions of the glibc package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the glibc package, as shipped with Fedora release of 16 and 17. Please schedule an update (once final upstream patch is available).
Comment 5 Jan Lieskovsky 2012-09-18 09:02:03 EDT
Created glibc tracking bugs for this issue

Affects: fedora-all [bug 855399]
Comment 9 Huzaifa S. Sidhpurwala 2013-09-05 05:05:55 EDT
Statement:

This issue affects the version of glibc as shipped with Red Hat Enterprise Linux 5 and 6. The Red Hat Security Response Team has rated this issue as having moderate security impact, a future update may address this flaw.

Note You need to log in before you can comment on or make changes to this bug.